import { AxiosResponse } from 'axios';
import httpClient from '../httpClient';
import { API_URLS } from '../URLs';
import { CategoryResult } from './type';

export const category_api = {
  async getCategory(params: {
    page: number;
    page_size: number;
  }): Promise<AxiosResponse<CategoryResult[]>> {
    const res = await httpClient.get(API_URLS.Category, { params });
    return res;
  },
};
